Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPNMWriter Class Reference

`#include <vtkPNMWriter.h>`

Inheritance diagram for vtkPNMWriter:

[legend]
Collaboration diagram for vtkPNMWriter:

[legend]
List of all members.

## Detailed Description

Writes PNM (portable any map) files.

Date:
  2002/08/13 17:14:28

Revision:
  1.19

vtkPNMWriter writes PNM file. The data type of the file is unsigned char regardless of the input type.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (84%)
  - Cedilnik, Andy (8%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkPNMWriter.cxx)`
  - .`h` (`/IO/vtkPNMWriter.h)`

Tests:
  vtkPNMWriter (Tests)

Definition at line 45 of file vtkPNMWriter.h.

## Public Types
typedef vtkImageWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkPNMWriter * | New ()
int | IsTypeOf (const char *type)
vtkPNMWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPNMWriter ()
| ~vtkPNMWriter ()
virtual void | WriteFile (ofstream *file, vtkImageData *data, int extent[6])
virtual void | WriteFileHeader (ofstream *, vtkImageData *)

## Member Typedef Documentation

typedef vtkImageWriter vtkPNMWriter::Superclass

| Reimplemented from vtkImageWriter. Definition at line 49 of file vtkPNMWriter.h.

## Constructor & Destructor Documentation

vtkPNMWriter::vtkPNMWriter | ( |  | ) | `[inline, protected]`

| Definition at line 53 of file vtkPNMWriter.h.

vtkPNMWriter::~vtkPNMWriter | ( |  | ) | `[inline, protected]`

| Definition at line 54 of file vtkPNMWriter.h.

## Member Function Documentation

vtkPNMWriter* vtkPNMWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageWriter.

virtual const char* vtkPNMWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageWriter.

int vtkPNMWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageWriter.

virtual int vtkPNMWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageWriter.

vtkPNMWriter* vtkPNMWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageWriter.

virtual void vtkPNMWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageWriter.

virtual void vtkPNMWriter::WriteFile | ( | ofstream * | file,
|  | vtkImageData * | data,
|  | int | extent[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageWriter.

virtual void vtkPNMWriter::WriteFileHeader | ( | ofstream * | ,
|  | vtkImageData * |
| ) | `[protected, virtual]`

| Reimplemented from vtkImageWriter.

The documentation for this class was generated from the following file:

- IO/vtkPNMWriter.h